It's all about the answers!

Ask a question

Is RTC 4.0.7 Supported On Eclipse Luna?


0
1
Chris Barlock (18814137) | asked Aug 21 '14, 4:30 p.m.
edited Aug 22 '14, 2:40 p.m. by Stephanie Taylor (24115)
Is the RTC 4.0.7 client supported installed into Eclipse Luna?  When I try to load a sprint plan, I get:

java.lang.NoClassDefFoundError: org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader
    at com.ibm.team.rtc.common.scriptengine.internal.types.api.ApiTypeResolver.resolveClass(ApiTypeResolver.java:89)
    at com.ibm.team.rtc.common.scriptengine.internal.types.api.ApiTypeResolver.resolve(ApiTypeResolver.java:57)
    at com.ibm.team.rtc.common.scriptengine.environment.dojo.DojoFeature.injectUrl(DojoFeature.java:234)
    at com.ibm.team.rtc.common.scriptengine.environment.dojo.DojoFeature.access$3(DojoFeature.java:208)
    at com.ibm.team.rtc.common.scriptengine.environment.dojo.DojoFeature$1.call(DojoFeature.java:122)
    at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:3335)

Chris

Accepted answer


permanent link
Donald Nong (14.4k314) | answered Aug 21 '14, 9:13 p.m.
According to the system requirement, it's not supported. Eclipse Luna (4.4) support only starts with RTC 5.0.1.
https://jazz.net/wiki/bin/view/Deployment/CLMSystemRequirements405406#B4_Eclipse_IDE_RTC_Eclipse_Clien
https://jazz.net/wiki/bin/view/Deployment/CLMSystemRequirements#B4_Eclipse_IDE_RTC_Eclipse_Clien
Chris Barlock selected this answer as the correct answer

Comments
Chris Barlock commented Aug 22 '14, 10:26 a.m.

Thank you, Donald!

Chris

Your answer


Register or to post your answer.